Dataset Preview
The dataset preview is not available for this split.
Cannot load the dataset split (in normal download mode) to extract the first rows.
Error code:   NormalRowsError
Exception:    ValueError
Message:      Split name should match '^\w+(\.\w+)*$' but got 'train-edd5a363194f4188'.
Traceback:    Traceback (most recent call last):
                File "/src/services/worker/src/worker/responses/first_rows.py", line 337, in get_first_rows_response
                  rows = get_rows(dataset, config, split, streaming=True, rows_max_number=rows_max_number, hf_token=hf_token)
                File "/src/services/worker/src/worker/utils.py", line 123, in decorator
                  return func(*args, **kwargs)
                File "/src/services/worker/src/worker/responses/first_rows.py", line 65, in get_rows
                  ds = load_dataset(
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/load.py", line 1739, in load_dataset
                  return builder_instance.as_streaming_dataset(split=split)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/builder.py", line 1025, in as_streaming_dataset
                  splits_generators = {sg.name: sg for sg in self._split_generators(dl_manager)}
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/packaged_modules/parquet/parquet.py", line 48, in _split_generators
                  splits.append(datasets.SplitGenerator(name=split_name, gen_kwargs={"files": files}))
                File "<string>", line 5, in __init__
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/splits.py", line 599, in __post_init__
                  NamedSplit(self.name)  # check that it's a valid split name
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/splits.py", line 346, in __init__
                  raise ValueError(f"Split name should match '{_split_re}' but got '{split_name}'.")
              ValueError: Split name should match '^\w+(\.\w+)*$' but got 'train-edd5a363194f4188'.
              
              During handling of the above exception, another exception occurred:
              
              Traceback (most recent call last):
                File "/src/services/worker/src/worker/responses/first_rows.py", line 345, in get_first_rows_response
                  rows = get_rows(
                File "/src/services/worker/src/worker/utils.py", line 123, in decorator
                  return func(*args, **kwargs)
                File "/src/services/worker/src/worker/responses/first_rows.py", line 65, in get_rows
                  ds = load_dataset(
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/load.py", line 1746, in load_dataset
                  builder_instance.download_and_prepare(
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/builder.py", line 704, in download_and_prepare
                  self._download_and_prepare(
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/builder.py", line 771, in _download_and_prepare
                  split_generators = self._split_generators(dl_manager, **split_generators_kwargs)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/packaged_modules/parquet/parquet.py", line 48, in _split_generators
                  splits.append(datasets.SplitGenerator(name=split_name, gen_kwargs={"files": files}))
                File "<string>", line 5, in __init__
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/splits.py", line 599, in __post_init__
                  NamedSplit(self.name)  # check that it's a valid split name
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/splits.py", line 346, in __init__
                  raise ValueError(f"Split name should match '{_split_re}' but got '{split_name}'.")
              ValueError: Split name should match '^\w+(\.\w+)*$' but got 'train-edd5a363194f4188'.

Need help to make the dataset viewer work? Open an discussion for direct support.